<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "http://labs.jboss.com/jbossrichfaces/component-config.dtd">
<components>
	<component>
		<name>org.ajax4jsf.Queue</name>
		<family>org.ajax4jsf.Queue</family>
		<classname>org.ajax4jsf.component.html.HtmlQueue</classname>
		<superclass>org.ajax4jsf.component.UIQueue</superclass>
		<test />
		<description>
			<![CDATA[The <a4j:queue> tag.]]>
		</description>
		<tag generate="true" bodyContent="empty">
			<name>queue</name>
			<classname>org.ajax4jsf.taglib.html.jsp.QueueTag</classname>
			<superclass>org.ajax4jsf.webapp.taglib.HtmlComponentTagBase</superclass>
			<test/>
		</tag>
		<renderer generate="false">
			<name>org.ajax4jsf.QueueRenderer</name>
			<classname>org.ajax4jsf.renderkit.html.QueueRenderer</classname>
		</renderer>
		<!-- 
		<taghandler>
			<classname>org.ajax4jsf.taglib.html.facelets.QueueHandler</classname>
		</taghandler>
		 -->
		<property>
			<name>size</name>
			<classname>int</classname>
		</property>
	    <property>
	        <name>name</name>
	        <classname>java.lang.String</classname>
	        <defaultvalue>""</defaultvalue>
	    </property>

	    <property >
	        <name>requestDelay</name>
	        <classname>int</classname>
	    </property>
		<property>
			<name>ignoreDupResponses</name>
			<classname>boolean</classname>
		</property>
		<property>
			<name>timeout</name>
			<classname>int</classname>
		</property>
		<property>
			<name>disabled</name>
			<classname>boolean</classname>
		</property>
		
		<property>
			<name>onsubmit</name>
	        <classname>java.lang.String</classname>
		</property>
		<property>
			<name>onbeforedomupdate</name>
	        <classname>java.lang.String</classname>
		</property>
		<property>
			<name>oncomplete</name>
	        <classname>java.lang.String</classname>
		</property>
		<property>
			<name>onerror</name>
	        <classname>java.lang.String</classname>
		</property>
		<property>
			<name>sizeExceededBehavior</name>
	        <classname>java.lang.String</classname>
		</property>
		<property>
			<name>onsizeexceeded</name>
	        <classname>java.lang.String</classname>
		</property>
		
		<property hidden="true">
			<name>rendered</name>
		</property>
	</component>
</components>
